# SPDX-FileCopyrightText: Mintlab B.V.
#
# SPDX-License-Identifier: EUPL-1.2

stages:
    - QA

.infra-storage_job_variables:
  variables:
    BACKEND_PATH: "backend/minty-infra-storage"
    ADD_JOB_ON_CHANGES_OF_1: "backend/minty/**/*"

infra-storage:REUSE Compliance:
  extends: 
    - .infra-storage_job_variables
    - .reuse_compliance_template

infra-storage:Run Python tests:
  extends: 
    - .infra-storage_job_variables
    - .python_tests_template
  needs:
    - "wait-for-other-pipelines-to-finish"
    - job: "minty:REUSE Compliance"
      optional: true
    - job: "minty:Run Python tests"
      optional: true
